- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Defines | Functions

# qatomic_powerpc.h File Reference

Go to the source code of this file.

## Defines
#define | Q_ATOMIC_INT_REFERENCE_COUNTING_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_TEST_AND_SET_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_STORE_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_ADD_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_TEST_AND_SET_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_ALWAYS_NATIVE
## Functions
int | q_atomic_test_and_set_int (volatile int *ptr, int expectedValue, int newValue)
int | q_atomic_test_and_set_acquire_int (volatile int *ptr, int expectedValue, int newValue)
int | q_atomic_test_and_set_release_int (volatile int *ptr, int expectedValue, int newValue)
int | q_atomic_test_and_set_ptr (volatile void *ptr, void *expectedValue, void *newValue)
int | q_atomic_test_and_set_acquire_ptr (volatile void *ptr, void *expectedValue, void *newValue)
int | q_atomic_test_and_set_release_ptr (volatile void *ptr, void *expectedValue, void *newValue)
int | q_atomic_increment (volatile int *)
int | q_atomic_decrement (volatile int *)
int | q_atomic_set_int (volatile int *, int)
int | q_atomic_fetch_and_store_acquire_int (volatile int *ptr, int newValue)
int | q_atomic_fetch_and_store_release_int (volatile int *ptr, int newValue)
void * | q_atomic_set_ptr (volatile void *, void *)
int | q_atomic_fetch_and_store_acquire_ptr (volatile void *ptr, void *newValue)
int | q_atomic_fetch_and_store_release_ptr (volatile void *ptr, void *newValue)
int | q_atomic_fetch_and_add_int (volatile int *ptr, int valueToAdd)
int | q_atomic_fetch_and_add_acquire_int (volatile int *ptr, int valueToAdd)
int | q_atomic_fetch_and_add_release_int (volatile int *ptr, int valueToAdd)
void * | q_atomic_fetch_and_add_ptr (volatile void *ptr, qptrdiff valueToAdd)
void * | q_atomic_fetch_and_add_acquire_ptr (volatile void *ptr, qptrdiff valueToAdd)
void * | q_atomic_fetch_and_add_release_ptr (volatile void *ptr, qptrdiff valueToAdd)

## Define Documentation

#define Q_ATOMIC_INT_REFERENCE_COUNTING_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 49 of file qatomic_powerpc.h.

#define Q_ATOMIC_INT_TEST_AND_SET_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 56 of file qatomic_powerpc.h.

#define Q_ATOMIC_INT_FETCH_AND_STORE_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 63 of file qatomic_powerpc.h.

#define Q_ATOMIC_INT_FETCH_AND_ADD_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 70 of file qatomic_powerpc.h.

#define Q_ATOMIC_POINTER_TEST_AND_SET_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 77 of file qatomic_powerpc.h.

#define Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 86 of file qatomic_powerpc.h.

#define Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 95 of file qatomic_powerpc.h.

## Function Documentation

int q_atomic_test_and_set_int | ( | volatile int * | ptr,
|  | int | expectedValue,
|  | int | newValue
| ) |  |

Search for all occurrences

int q_atomic_test_and_set_acquire_int | ( | volatile int * | ptr,
|  | int | expectedValue,
|  | int | newValue
| ) |  |

Search for all occurrences

int q_atomic_test_and_set_release_int | ( | volatile int * | ptr,
|  | int | expectedValue,
|  | int | newValue
| ) |  |

Search for all occurrences

int q_atomic_test_and_set_ptr | ( | volatile void * | ptr,
|  | void * | expectedValue,
|  | void * | newValue
| ) |  |

Search for all occurrences

int q_atomic_test_and_set_acquire_ptr | ( | volatile void * | ptr,
|  | void * | expectedValue,
|  | void * | newValue
| ) |  |

Search for all occurrences

int q_atomic_test_and_set_release_ptr | ( | volatile void * | ptr,
|  | void * | expectedValue,
|  | void * | newValue
| ) |  |

Search for all occurrences

int q_atomic_increment | ( | volatile int * |  | ) |

Search for all occurrences

int q_atomic_decrement | ( | volatile int * |  | ) |

Search for all occurrences

int q_atomic_set_int | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

int q_atomic_fetch_and_store_acquire_int | ( | volatile int * | ptr,
|  | int | newValue
| ) |  |

Search for all occurrences

int q_atomic_fetch_and_store_release_int | ( | volatile int * | ptr,
|  | int | newValue
| ) |  |

Search for all occurrences

void* q_atomic_set_ptr | ( | volatile void * | ,
|  | void * |
| ) |  |

Search for all occurrences

int q_atomic_fetch_and_store_acquire_ptr | ( | volatile void * | ptr,
|  | void * | newValue
| ) |  |

Search for all occurrences

int q_atomic_fetch_and_store_release_ptr | ( | volatile void * | ptr,
|  | void * | newValue
| ) |  |

Search for all occurrences

int q_atomic_fetch_and_add_int | ( | volatile int * | ptr,
|  | int | valueToAdd
| ) |  |

Search for all occurrences

int q_atomic_fetch_and_add_acquire_int | ( | volatile int * | ptr,
|  | int | valueToAdd
| ) |  |

Search for all occurrences

int q_atomic_fetch_and_add_release_int | ( | volatile int * | ptr,
|  | int | valueToAdd
| ) |  |

Search for all occurrences

void* q_atomic_fetch_and_add_ptr | ( | volatile void * | ptr,
|  | qptrdiff | valueToAdd
| ) |  |

Search for all occurrences

void* q_atomic_fetch_and_add_acquire_ptr | ( | volatile void * | ptr,
|  | qptrdiff | valueToAdd
| ) |  |

Search for all occurrences

void* q_atomic_fetch_and_add_release_ptr | ( | volatile void * | ptr,
|  | qptrdiff | valueToAdd
| ) |  |

Search for all occurrences